Bug 162595 - [patch] audio/py-ogg: respect CC
Summary: [patch] audio/py-ogg: respect CC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-15 19:40 UTC by Jan Beich
Modified: 2012-02-12 22:40 UTC (History)
0 users

See Also:


Attachments
cc.diff (642 bytes, patch)
2011-11-15 19:40 UTC, Jan Beich
no flags Details | Diff
cc.diff (574 bytes, patch)
2011-11-15 19:57 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-11-15 19:40:09 UTC
Alternatively, one can prepend CC=${CC} or even ${MAKE_ENV} before
${PYTHON_CMD} like it does bsd.port.mk for (HAS|GNU)_CONFIGURE.

How-To-Repeat: http://pointyhat.freebsd.org/errorlogs/amd64-errorlogs/e.9-exp.20110723205754/py27-ogg-1.3_4.log
Comment 1 Edwin Groothuis freebsd_committer 2011-11-15 19:40:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xride

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jan Beich freebsd_committer 2011-11-15 19:57:45 UTC
Jan Beich <jbeich@tormail.net> writes:

> +HAS_CONFIGURE=		yes
> +CONFIGURE_SCRIPT=	config_unix.py
> +CONFIGURE_ARGS=		--prefix ${LOCALBASE}

Nevermind, turns out a bad idea as it's too easy to forget to respect PYTHON_VER
by explicitly calling PYTHON_CMD rather than `python'. So, use MAKE_ENV
approach as it's shorter than the above one + post-patch target to fix
python shebang.
Comment 3 Jan Beich freebsd_committer 2011-11-17 05:46:40 UTC
Soeren Straarup <xride@freebsd.org> writes:

> Does that mean that this PR can be closed?

No, I've sent alternative patch. It uses MAKE_ENV, like bsd.python.mk
does for do-configure. And MAKE_ENV always exports CC via bsd.port.mk.
Comment 4 Philip M. Gollucci freebsd_committer 2012-02-11 23:46:34 UTC
Responsible Changed
From-To: xride->pgollucci

committer&maintainer timeout (xride ; 86 days) / last commit: 86 days 
ago
Comment 5 Philip M. Gollucci freebsd_committer 2012-02-12 22:39:20 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter service freebsd_committer 2012-02-12 22:39:30 UTC
pgollucci    2012-02-12 22:39:17 UTC

  FreeBSD ports repository

  Modified files:
    audio/py-ogg         Makefile 
  Log:
  - Respect CC
  
  PR:             ports/162595
  Submitted by:   Jan Beich <jbeich@tormail.net>
  Approved by:    maintainer timeout (xride ; 86 days)
  
  Revision  Changes    Path
  1.15      +1 -1      ports/audio/py-ogg/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"